
QGIS Application - Bug report #10442

Processing crashes if type nonascii symbols in algorithm search field

2014-06-03 12:00 PM - dr -

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18854

Description

Traceback:

Traceback (most recent call last):

  File "/home/rykov/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 406, in fillAlgorithmTree

    self.fillAlgorithmTreeUsingProviders()

  File "/home/rykov/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 511, in fillAlgorithmTreeUsingProviders

    text = str(self.searchBox.text())

UnicodeEncodeError: 'ascii' codec can't encode character u'\\u0430' in position 0: ordinal not in range(128)

History

#1 - 2014-06-04 12:09 AM - Giovanni Manghi

- Status changed from Open to Feedback

Cannot confirm on QGIS master, on both Windows and Linux. Please try and report back.

#2 - 2014-06-04 07:08 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Target version changed from Version 2.2 to Version 2.4

- Status changed from Feedback to Closed

Fixed in master

#3 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
